# Commands

## clear

Clears display and returns cursor to the home position (address 0).

##### Return

`nil`

## home

Returns cursor to home position. 

##### Return

`nil`

## setCursor

Sets cursor position. 

##### Return

`nil`

## displayOff

Sets Off of all display (D), cursor Off (C) and blink of cursor position character (B).

##### Return

`nil`

## displayOn

Sets On of all display (D), cursor On (C) and blink of cursor position character (B).

##### Return

`nil`

## cursorOff

Turns off the cursor.

##### Return

`nil`

## cursorOn

Turns on the cursor.

##### Return

`nil`

## blinkOff

Turns off the cursor blinking character.

##### Return

`nil`

## blinkOn

Turns on the cursor blinking character.

##### Return

`nil`

## backlightOff

Turns off the back light.

##### Return

`nil`

## backlightOn

Turns on the back light.

##### Return

`nil`

## print(str)

Prints characters on the LCD.

##### Params

- **str** - params

##### Return

`string`
